export class bool_response {
    #result;
    #cause;

    constructor(target) {
        this.#result = (target.result === "success");
        this.#cause = null;

        if (!this.result) {
            this.#cause = target.cause;
        }
    }

    get cause() {
        return this.#cause;
    }

    get result() {
        return this.#result;
    }
}
